# CVBOOTSW

CVBOOTSW_VERSION = 341

CVBOOTSW_SITE = https://cvsvn/svn/CVMBoardMin/trunk
CVBOOTSW_SITE_METHOD = svn
CVBOOTSW_DL_OPTS = --username=AutoUser --password=ASU,i.e.fNB --non-interactive --trust-server-cert-failures=other,expired,not-yet-valid,cn-mismatch,unknown-ca

define CVBOOTSW_CONFIGURE_CMDS
	(cd $(@D); echo "#define APPLICATION LINUX_BOOT" > myconfig)	
	(cd $(@D); echo "MYCONFIG_CFLAGS_FLASH=-DSVN_REV=\\\"$(CVBOOTSW_VERSION)\\\"" >> myconfig)
endef

define CVBOOTSW_BUILD_CMDS   
    $(MAKE) CC="$(TARGET_CC)" -C $(@D) default
endef

define CVBOOTSW_INSTALL_TARGET_CMDS
    $(INSTALL) -D -m 0755 $(@D)/O/boot.elf $(TARGET_DIR)/opt
endef

$(eval $(generic-package))
